Get TikTok profile
Fetch public profile details and recent videos for a TikTok username.
POST
/
api
/
v1
/
platform
/
scrapers
/
tiktok
/
profile
Get TikTok profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "tiktok",
"maxVideos": 250.5
}
'{
"data": {
"profile": {
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
},
"videos": [
{
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
}
],
"relatedVideos": [
{
"matched_username": "<string>",
"video": {
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
},
"collaborators": [
{
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
}
]
}
]
},
"meta": {
"requestId": "<string>"
}
}POST /api/v1/platform/scrapers/tiktok/profile
Fetch a TikTok user’s profile and recent videos.Retrieve a TikTok user’s profile information and recent videos.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"username": "tiktok", "maxVideos": 20}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
⌘I
Get TikTok profile
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/tiktok/profile \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "tiktok",
"maxVideos": 250.5
}
'{
"data": {
"profile": {
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
},
"videos": [
{
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
}
],
"relatedVideos": [
{
"matched_username": "<string>",
"video": {
"id": "<string>",
"platform_video_id": "<string>",
"created_at": "<string>",
"tiktok_profile_id": "<string>",
"caption": "<string>",
"post_url": "<string>",
"author_username": "<string>",
"author_display_name": "<string>",
"author_profile_url": "<string>",
"play_count": 123,
"like_count": 123,
"comment_count": 123,
"share_count": 123,
"hashtags": [
"<string>"
],
"cdn_url": "<string>",
"s3_key": "<string>",
"thumbnail_s3_key": "<string>",
"duration_secs": 123,
"posted_at": "<string>"
},
"collaborators": [
{
"username": "<string>",
"tiktok_user_id": "<string>",
"display_name": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"verified": true,
"avatar_url": "<string>"
}
]
}
]
},
"meta": {
"requestId": "<string>"
}
}